## elecalc 1.0.0

=== Makefile ===
CFLAGS?=-W -Wall -Wextra -O2
CFLAGS+=$(shell gfxprim-config --cflags)
LDLIBS=-lm $(shell gfxprim-config --libs-widgets --libs)
BIN=elecalc
DEP=$(BIN:=.dep)

all: $(DEP) $(BIN)

%.dep: %.c
	$(CC) $(CFLAGS) -M $< -o $@

$(BIN): libelec.o ohm_law.o

-include $(DEP)

install:
	install -m 644 -D layout.json $(DESTDIR)/etc/gp_apps/$(BIN)/layout.json
	install -D $(BIN) -t $(DESTDIR)/usr/bin/
	install -D -m 744 $(BIN).desktop -t $(DESTDIR)/usr/share/applications/
	install -D -m 644 $(BIN).png -t $(DESTDIR)/usr/share/$(BIN)/
clean:
	rm -f $(BIN) *.dep *.o

=== debian/changelog ===
elecalc (1.0.0-0+28.24) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 04 Oct 2025 12:37:11 +0000

elecalc (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Cyril Hrubis <metan@ucw.cz>  Sun, 20 Aug 2023 20:21:41 +0100

=== debian/control ===
Source: elecalc
Priority: extra
Maintainer: Cyril Hrubis <metan@ucw.cz>
Build-Depends: debhelper (>= 9.0), libgfxprim-dev
Standards-Version: 4.0.0
Section: electronics
Homepage: http://gfxprim.ucw.cz/

Package: elecalc
Section: electronics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgfxprim1 (= ${binary:Version})
Description: An electronic calculator
 Simple application to compute ohm law, power, wire resistance, etc.
